Bug 1661955 - system-upgrade from F29 to F30 produces grub prompt
Summary: system-upgrade from F29 to F30 produces grub prompt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavla Kratochvilova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-24 19:32 UTC by Paul DeStefano
Modified: 2019-03-23 19:21 UTC (History)
13 users (show)

Fixed In Version: dnf-plugins-extras-4.0.4-1.fc30 dnf-plugins-extras-4.0.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-19 19:38:37 UTC


Attachments (Terms of Use)
DNF log (1.32 MB, text/plain)
2019-01-02 21:31 UTC, Paul DeStefano
no flags Details
grub2-mkconfig output (6.28 KB, text/plain)
2019-03-05 10:40 UTC, Yann Droneaud
no flags Details

Description Paul DeStefano 2018-12-24 19:32:38 UTC
Description of problem:
After dnf system-upgrade reboot, system upgraded itself.  But, when I returned, the system was at the grub prompt.

Comment 1 Daniel Mach 2019-01-02 12:31:59 UTC
Could you provide reproducer incl. package versions you upgraded from and to?
Maybe attaching /var/log/dnf.log* would do the job.
Could you also reproduce this in a fresh VM and send us the steps?

Comment 2 Paul DeStefano 2019-01-02 19:40:14 UTC
I went back to the snapshot I took before downloading that particular upgrade file set, and it broke; I cannot download those packages anymore.  I did a regular upgrade, reboot, and tried the system-upgrade, again, and the download failed, unable to resolve all dependencies.

I guess I'll try again, later.

...Hmm, I removed some packages and got the package dependencies to resolve.  But, there are module upgrade errors.  I don't know what to make of that, since this is the first upgrade I've done since modules were added.

Modular dependency problems:

 Problem 1: conflicting requests
  - nothing provides module(platform:f30) needed by module bat:latest:20181220130258:e50d0d19-0.x86_64
 Problem 2: conflicting requests
  - nothing provides module(platform:f30) needed by module dwm:6.1:20180831122920:a5b0195c-0.x86_64
 Problem 3: conflicting requests
  - nothing provides module(platform:f30) needed by module gimp:2.10:20181112112217:a5b0195c-0.x86_64
 Problem 4: conflicting requests
  - nothing provides module(platform:f30) needed by module libgit2:0.27:20181028172505:a5b0195c-0.x86_64
 Problem 5: conflicting requests
  - nothing provides module(platform:f30) needed by module meson:latest:20181209203125:36245242-0.x86_64
 Problem 6: conflicting requests
  - nothing provides module(platform:f30) needed by module ninja:latest:20181208134839:a5b0195c-0.x86_64
 Problem 7: conflicting requests
  - nothing provides module(platform:f30) needed by module ripgrep:latest:20181215204810:a5b0195c-0.x86_64
 Problem 8: conflicting requests
  - nothing provides module(platform:f30) needed by module stratis:1:20181215204600:a5b0195c-0.x86_64

Is it safe to continue?

Comment 3 Paul DeStefano 2019-01-02 21:31:49 UTC
Created attachment 1518035 [details]
DNF log

After sys-upgrade reboot, I got the grub prompt, again.  This is the dnf.log immediately prior to sys-upgrade reboot.

Comment 4 Adam Williamson 2019-02-09 15:06:37 UTC
Can you check this again? This was likely related to BLS migration and may be fixed by now...

Comment 5 Paul DeStefano 2019-02-11 01:00:17 UTC
Sure, I tried, but I having problems with system-upgrade.

sudo -i dnf system-upgrade download --releasever=30
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Fedora Modular 30 - x86_64                                          423 kB/s | 2.2 MB     00:05    
Fedora Modular 30 - x86_64 - Updates                                1.0 MB/s | 2.2 MB     00:02    
Fedora 30 - x86_64 - Updates                                        838 kB/s |  61 MB     01:14    
Fedora 30 - x86_64                                                  646 kB/s |  61 MB     01:36    
Last metadata expiration check: 0:00:02 ago on Sun 10 Feb 2019 04:41:11 PM PST.
Modular dependency problems:

 Problem 1: conflicting requests
  - nothing provides module(platform:f30) needed by module avocado:stable:3020190116195115:a5b0195c-0.x86_64
 Problem 2: conflicting requests
  - nothing provides module(platform:f30) needed by module bat:latest:20181220130258:e50d0d19-0.x86_64
 Problem 3: conflicting requests
  - nothing provides module(platform:f30) needed by module dwm:6.1:20180831122920:a5b0195c-0.x86_64
 Problem 4: conflicting requests
  - nothing provides module(platform:f30) needed by module fish:3:3020190116191836:602da195-0.x86_64
 Problem 5: conflicting requests
  - nothing provides module(platform:f30) needed by module gimp:2.10:20181223154246:a5b0195c-0.x86_64
 Problem 6: conflicting requests
  - nothing provides module(platform:f30) needed by module libgit2:0.27:3020190128145600:a5b0195c-0.x86_64
 Problem 7: conflicting requests
  - nothing provides module(platform:f30) needed by module meson:latest:3020190123223713:36245242-0.x86_64
 Problem 8: conflicting requests
  - nothing provides module(platform:f30) needed by module ninja:latest:3020190131012415:a5b0195c-0.x86_64
 Problem 9: conflicting requests
  - nothing provides module(platform:f30) needed by module ripgrep:latest:20181215204810:a5b0195c-0.x86_64
 Problem 10: conflicting requests
  - nothing provides module(platform:f30) needed by module stratis:1:20181215204600:a5b0195c-0.x86_64
Error: 
 Problem 1: package system-config-date-1.10.9-2.fc24.noarch requires python-slip >= 0.2.21, but none of the providers can be installed
  - python2-slip-0.6.4-12.fc29.noarch does not belong to a distupgrade repository
  - problem with installed package system-config-date-1.10.9-2.fc24.noarch
 Problem 2: package system-config-services-0.111.4-2.fc24.noarch requires python-slip-dbus >= 0.2.8, but none of the providers can be installed
  - python2-slip-dbus-0.6.4-12.fc29.noarch does not belong to a distupgrade repository
  - problem with installed package system-config-services-0.111.4-2.fc24.noarch


Any thoughts on this?  I haven't had to get involved with module problems, so far.

Comment 6 Paul DeStefano 2019-02-18 01:34:34 UTC
Hmm, I don't think it has got an better:

Modular dependency problems:

 Problem 1: conflicting requests
  - nothing provides module(platform:f30) needed by module fish:3:3020190216163513:602da195-0.x86_64
 Problem 2: conflicting requests
  - nothing provides module(platform:f30) needed by module fish:3:3020190116191836:602da195-0.x86_64
 Problem 3: conflicting requests
  - nothing provides module(platform:f30) needed by module avocado:stable:3020190213205848:a5b0195c-0.x86_64
 Problem 4: conflicting requests
  - nothing provides module(platform:f30) needed by module bat:latest:3020190214090936:e50d0d19-0.x86_64
 Problem 5: conflicting requests
  - nothing provides module(platform:f30) needed by module dwm:6.1:3020190213215420:a5b0195c-0.x86_64
 Problem 6: conflicting requests
  - nothing provides module(platform:f30) needed by module exa:latest:3020190214120734:e50d0d19-0.x86_64
 Problem 7: conflicting requests
  - nothing provides module(platform:f30) needed by module gimp:2.10:20181223154246:a5b0195c-0.x86_64
 Problem 8: conflicting requests
  - nothing provides module(platform:f30) needed by module libgit2:0.27:3020190128145600:a5b0195c-0.x86_64
 Problem 9: conflicting requests
  - nothing provides module(platform:f30) needed by module meson:latest:3020190123223713:36245242-0.x86_64
 Problem 10: conflicting requests
  - nothing provides module(platform:f30) needed by module ninja:latest:3020190131012415:a5b0195c-0.x86_64
 Problem 11: conflicting requests
  - nothing provides module(platform:f30) needed by module ripgrep:latest:3020190214090003:a5b0195c-0.x86_64
 Problem 12: conflicting requests
  - nothing provides module(platform:f30) needed by module standard-test-roles:3.0:3020190214144451:a5b0195c-0.x86_64
 Problem 13: conflicting requests
  - nothing provides module(platform:f30) needed by module stratis:1:20181215204600:a5b0195c-0.x86_64
Error: 
 Problem: package system-config-date-1.10.9-2.fc24.noarch requires python-slip >= 0.2.21, but none of the providers can be installed
  - python2-slip-0.6.4-12.fc29.noarch does not belong to a distupgrade repository
  - problem with installed package system-config-date-1.10.9-2.fc24.noarch

Comment 7 Daniel Mach 2019-03-03 12:56:15 UTC
Modules require a virtual platform module that's based on PLATFORM_ID from /etc/os-release.
You can set --setopt=module_platform_id=platform:f30 from the command line,
but IIRC, it's wasn't handled properly until a recent patch:
https://github.com/rpm-software-management/dnf-plugins-extras/pull/143

Comment 8 Paul DeStefano 2019-03-04 01:01:01 UTC
Interesting.  I don't think that patch has been released to F29, because I still get those above errors when trying system-upgrade.  Either that or the path does not work.

However, if I use the option you mention, I am able to initiate system-upgrade download.  I will report back.

Comment 9 Paul DeStefano 2019-03-04 02:03:02 UTC
System is upgrading...

Comment 10 Paul DeStefano 2019-03-04 02:07:58 UTC
When I posted the previous comment, the boot splash screen said "System will be upgraded. This will take a while."

Then, seconds later, the system rebooted.  So, upgrade from F29 to F30 is still broken, though symptoms are different, now.

Comment 11 Jaroslav Mracek 2019-03-04 11:57:49 UTC
The patch is not yet released. The patched dnf-plugins-extras is available from our rpmsoftwaremanagement/dnf-nightly (sudo dnf copr enable rpmsoftwaremanagement/dnf-nightly)

Comment 12 Paul DeStefano 2019-03-04 17:54:12 UTC
Okay, I think that is ancillary, though.  But, thanks for explaining.

So, upgrade did not produce grub prompt, but also didn't work at all, either.  Should we keep this bug or close and start a new one?

Comment 13 Yann Droneaud 2019-03-05 09:34:36 UTC
Got a similar problem here (after having to manually reboot at the end of upgrade, see bug #1685455): I was presented the grub menu, unfortunately without any Fedora entry. There was only a single entry in the grub menu, for memtest86+.

/boot/grub2/grub.cfg doesn't contain any linux entries.

Comment 14 Yann Droneaud 2019-03-05 10:40:18 UTC
Created attachment 1540892 [details]
grub2-mkconfig output

(In reply to Yann Droneaud from comment #13)
> Got a similar problem here (after having to manually reboot at the end of
> upgrade, see bug #1685455): I was presented the grub menu, unfortunately
> without any Fedora entry. There was only a single entry in the grub menu,
> for memtest86+.
> 
> /boot/grub2/grub.cfg doesn't contain any linux entries.

I've manually use grub2-mkconfig and it doesn't generate any entries for the installed kernel

  # grub2-mkconfig -o /tmp/grub2.cfg
  Generating grub configuration file ...
  Found memtest image: /boot/elf-memtest86+-5.01
  done

  # rpm -qa kernel* | sort
  kernel-4.20.13-100.fc28.x86_64
  kernel-4.20.13-200.fc29.x86_64
  kernel-5.0.0-0.rc8.git0.1.fc30.x86_64
  kernel-core-4.20.13-100.fc28.x86_64
  kernel-core-4.20.13-200.fc29.x86_64
  kernel-core-5.0.0-0.rc8.git0.1.fc30.x86_64
  ...
  kernel-debug-4.20.13-100.fc28.x86_64
  kernel-debug-4.20.13-200.fc29.x86_64
  kernel-debug-5.0.0-0.rc8.git0.1.fc30.x86_64
  kernel-debug-core-4.20.13-100.fc28.x86_64
  kernel-debug-core-4.20.13-200.fc29.x86_64
  kernel-debug-core-5.0.0-0.rc8.git0.1.fc30.x86_64
  ...

  # grubby --default-kernel
  /boot/vmlinuz-5.0.0-0.rc8.git0.1.fc30.x86_64

  # grubby --default-title
  Fedora (5.0.0-0.rc8.git0.1.fc30.x86_64) 30 (Thirty)

Kernels are installed, but it seems grub2-mkconfig doesn't found them.

Comment 15 Yann Droneaud 2019-03-05 10:42:47 UTC
It would be useful if reporter provides "grub2-mkconfig -o /tmp/grub2.cfg" outputs, to compare with the ones I've reported in previous comment (comment #14).

Comment 16 Yann Droneaud 2019-03-05 11:05:33 UTC
(In reply to Yann Droneaud from comment #13)
> Got a similar problem here (after having to manually reboot at the end of
> upgrade, see bug #1685455): I was presented the grub menu, unfortunately
> without any Fedora entry. There was only a single entry in the grub menu,
> for memtest86+.
> 
> /boot/grub2/grub.cfg doesn't contain any linux entries.

Seems my particular issue is described in #1678445

Comment 17 Jaroslav Mracek 2019-03-05 11:33:08 UTC
Thanks for feedback in Comment 12. It means that issue in dnf was solved. The additional problem with grub is not DNF related therefore please reopen the bug against grub

Comment 18 Yann Droneaud 2019-03-05 11:44:22 UTC
(In reply to Jaroslav Mracek from comment #17)
> Thanks for feedback in Comment 12. It means that issue in dnf was solved.
> The additional problem with grub is not DNF related therefore please reopen
> the bug against grub

Bug seems already opened as bug #1678445

Comment 19 Paul DeStefano 2019-03-06 15:51:43 UTC
(In reply to Jaroslav Mracek from comment #17)
> Thanks for feedback in Comment 12. It means that issue in dnf was solved.
> The additional problem with grub is not DNF related therefore please reopen
> the bug against grub

Hmm, I don't understand why grub is suggested.  Now, booting succeeds and the upgrade appears to start or tries to initiate.  But, then the whole system crashes.  That doesn't sound like grub to me.  Well, I'll open a new bug and you can triage it.

(In reply to Yann Droneaud from comment #15)
> It would be useful if reporter provides "grub2-mkconfig -o /tmp/grub2.cfg"
> outputs, to compare with the ones I've reported in previous comment (comment
> #14).

Sorry, I cannot give this information now.  But I will include that in the next bug.

Comment 20 Fedora Update System 2019-03-13 13:41:46 UTC
dnf-plugins-core-4.0.6-1.fc29 libdnf-0.28.0-1.fc29 libcomps-0.1.11-1.fc29 createrepo_c-0.12.2-1.fc29 librepo-1.9.5-1.fc29 dnf-4.2.1-1.fc29 dnf-plugins-extras-4.0.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a03be2cebe

Comment 21 Fedora Update System 2019-03-13 13:42:41 UTC
dnf-plugins-core-4.0.6-1.fc30 libdnf-0.28.0-1.fc30 libcomps-0.1.11-1.fc30 createrepo_c-0.12.2-1.fc30 librepo-1.9.5-1.fc30 dnf-4.2.1-1.fc30 dnf-plugins-extras-4.0.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc9607a8dc

Comment 22 Pavla Kratochvilova 2019-03-13 13:57:19 UTC
The updates cover the main issue in this bug - the modular dependency problems. The other issues are tracked in different bugs: bug 1678445, bug 1686059

Comment 23 Fedora Update System 2019-03-13 15:37:00 UTC
createrepo_c-0.12.2-1.fc30, dnf-4.2.1-1.fc30, dnf-plugins-core-4.0.6-1.fc30, dnf-plugins-extras-4.0.4-1.fc30, libcomps-0.1.11-1.fc30, libdnf-0.28.0-1.fc30, librepo-1.9.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc9607a8dc

Comment 24 Fedora Update System 2019-03-14 18:51:31 UTC
createrepo_c-0.12.2-1.fc29, dnf-4.2.1-1.fc29, dnf-plugins-core-4.0.6-1.fc29, dnf-plugins-extras-4.0.4-1.fc29, libcomps-0.1.11-1.fc29, libdnf-0.28.0-1.fc29, librepo-1.9.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a03be2cebe

Comment 25 Fedora Update System 2019-03-15 13:09:33 UTC
createrepo_c-0.12.2-1.fc30 dnf-4.2.1-1.fc30 dnf-plugins-core-4.0.6-1.fc30 dnf-plugins-extras-4.0.4-1.fc30 libcomps-0.1.11-1.fc30 libdnf-0.28.0-1.fc30 librepo-1.9.5-1.fc30 swid-tools-0.7.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc9607a8dc

Comment 26 Fedora Update System 2019-03-16 20:17:30 UTC
createrepo_c-0.12.2-1.fc30, dnf-4.2.1-1.fc30, dnf-plugins-core-4.0.6-1.fc30, dnf-plugins-extras-4.0.4-1.fc30, libcomps-0.1.11-1.fc30, libdnf-0.28.0-1.fc30, librepo-1.9.5-1.fc30, swid-tools-0.7.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc9607a8dc

Comment 27 Fedora Update System 2019-03-19 19:38:37 UTC
createrepo_c-0.12.2-1.fc30, dnf-4.2.1-1.fc30, dnf-plugins-core-4.0.6-1.fc30, dnf-plugins-extras-4.0.4-1.fc30, libcomps-0.1.11-1.fc30, libdnf-0.28.0-1.fc30, librepo-1.9.5-1.fc30, swid-tools-0.7.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2019-03-20 22:13:00 UTC
createrepo_c-0.12.2-1.fc29, dnf-4.2.1-1.fc29, dnf-plugins-core-4.0.6-1.fc29, dnf-plugins-extras-4.0.4-1.fc29, libcomps-0.1.11-1.fc29, libdnf-0.28.0-1.fc29, librepo-1.9.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2019-03-21 14:40:37 UTC
createrepo_c-0.12.2-1.fc29, dnf-4.2.1-1.fc29, dnf-plugins-core-4.0.6-1.fc29, dnf-plugins-extras-4.0.4-1.fc29, libcomps-0.1.11-1.fc29, libdnf-0.28.0-1.fc29, librepo-1.9.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.